$ErrorActionPreference = 'Stop'

function CreateShortcut {
    param([String] $Path)

    $shortcutArgs = @{
        shortcutFilePath = "$Path\Jellyfin.lnk"
        targetPath       = 'http://localhost:8096'
        iconLocation     = "$ENV:ProgramFiles\Jellyfin\Server\jellyfin-web\favicon.ico"
    }

    Install-ChocolateyShortcut @shortcutArgs
}

$v = ${ENV:ChocolateyPackageVersion}

$packageArgs = @{
    packageName    = 'jellyfin'
    fileType       = 'EXE'
    url64bit       = "https://repo.jellyfin.org/releases/server/windows/versions/stable/installer/${v}/jellyfin_${v}_windows-x64.exe"
    checksum64     = 'f07b951ccda6241d75937d87c30830c836f0e9c662f36e3cd2fb12ae305f83a2'
    checksumType64 = 'sha256'
    silentArgs     = '/S'
    validExitCodes = @(0,1)
    softwareName   = 'Jellyfin Server*'
}
 
Install-ChocolateyPackage @packageArgs

CreateShortcut -Path "$ENV:Public\Desktop"
CreateShortcut -Path "$ENV:ProgramData\Microsoft\Windows\Start Menu\Programs"
